# Uses of Class
org.eclipse.draw2d.text.CompositeBox

Packages that use CompositeBox
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of CompositeBox in org.eclipse.draw2d.text

Subclasses of CompositeBox in org.eclipse.draw2d.text
Modifier and Type
Class
Description
`class`
`BlockBox`
A CompositeBox suitable for containing multiple LineBox fragments.
`class`
`LineBox`
`class`
`LineRoot`
LineRoot is the top-most container on a line of text displayed in Draw2d.
`class`
`NestedLine`
Methods in org.eclipse.draw2d.text with parameters of type CompositeBox
Modifier and Type
Method
Description
`void`
BlockFlowLayout.`addLine(CompositeBox box)`
`void`
FlowContext.`addLine(CompositeBox box)`
Adds an entire line into the context.
`void`
InlineFlowLayout.`addLine(CompositeBox box)`
Adds the given box as a line below the current line.